Get Metric Records Data
POST
Get data of specific metric records (unaggregated)
ApiKeyAuthheader
Authorization<token>pageLimit?integerMaximum number of results per page. May be used in combination with pageKey to change the number of results in between page requests.
Format
int32pageKey?stringBase64 encoded form of pagination query parameters. Do not try to construct or change programmatically as the internal structure may change without notice.
The available request filters for fetching the metric records data
application/json- body
id*stringcsidFilter?array<>Items
1 <= itemsfilters?array<>timezone*stringThe metric records data
application/json- response
data?array<>meta?curl -X POST 'https://dev.dixa.io/v1/analytics/records' \ -H 'Authorization: <API token>' \ -H 'Content-Type: application/json' \ -d '{ "id": "closed_conversations", "periodFilter": { "value": { "_type": "PreviousWeek" }, "_type": "Preset" }, "filters": [ { "attribute": "initial_direction", "values": [ "INBOUND" ] } ], "timezone": "Europe/Copenhagen"}'{}
"data": []
{},
"primaryTimestampField": {},
"name": "created_at",
"timestamp": "2023-04-21T10:23:14.293Z"
"fields": []
{},
"name": "csid",
"field": {}
"value": 184472,
"_type": "LongField"
{},
"name": "initial_direction",
"field": {}
"value": "INBOUND",
"label": "Inbound",
"_type": "StringField"
{},
"name": "initial_channel",
"field": {}
"value": "PSTN_PHONE",
"label": "Phone",
"_type": "StringField"
{}
"name": "contact_point",
"field": {}
"value": "+4511223344",
"label": "+4511223344",
"_type": "StringField"
{}
"primaryTimestampField": {},
"name": "created_at",
"timestamp": "2023-04-21T10:24:04.259Z"
"fields": []
{},
"name": "csid",
"field": {}
"value": 184473,
"_type": "LongField"
{},
"name": "initial_direction",
"field": {}
"value": "INBOUND",
"label": "Inbound",
"_type": "StringField"
{},
"name": "initial_channel",
"field": {}
"value": "EMAIL",
"label": "Email",
"_type": "StringField"
{}
"name": "contact_point",
"field": {}
"value": "dixa@email.com",
"label": "dixa@email.com",
"_type": "StringField"